Array of Pointers

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

Data Structures | Functions
Array of Pointers
Eina C++Eina C++ » | Data Types » Containers

## Data Structures
struct | efl::eina::_ptr_array_iterator< T >
struct | efl::eina::_ptr_array_access_traits::iterator< T >
struct | efl::eina::_ptr_array_access_traits::const_iterator< T >
struct | efl::eina::_ptr_array_access_traits::native_handle< T >
struct | efl::eina::_ptr_array_access_traits::const_native_handle< T >
struct | efl::eina::_ptr_array_access_traits
class | efl::eina::ptr_array< T, CloneAllocator >
| Array class. More...
struct | efl::eina::range_ptr_array< T >
| Range for ptr_array. More...
struct | efl::eina::_ptr_array_common_base< T, CloneAllocator >::_ptr_array_impl
struct | efl::eina::_ptr_array_common_base< T, CloneAllocator >
| Common implementations for the ptr_array. More...

## Functions
template<typename T , typename CloneAllocator1 , typename CloneAllocator2 >
bool | efl::eina::operator== (ptr_array< T, CloneAllocator1 > const &lhs, ptr_array< T, CloneAllocator2 > const &rhs)
| Check if both arrays are equal. More...
template<typename T , typename CloneAllocator1 , typename CloneAllocator2 >
bool | efl::eina::operator!= (ptr_array< T, CloneAllocator1 > const &lhs, ptr_array< T, CloneAllocator2 > const &rhs)
| Check if two arrays are different. More...
template<typename T , typename CloneAllocator >
void | efl::eina::swap (ptr_array< T, CloneAllocator > &lhs, ptr_array< T, CloneAllocator > &rhs)
| Swap content between two arrays. More...

## Detailed Description

## Function Documentation

template<typename T , typename CloneAllocator1 , typename CloneAllocator2 >

bool efl::eina::operator== | ( | ptr_array< T, CloneAllocator1 > const & | lhs,
|  | ptr_array< T, CloneAllocator2 > const & | rhs
| ) |  |

Check if both arrays are equal.

Parameters

  lhs | `ptr_array` at the left side of the expression.
  rhs | `ptr_array` at the right side of the expression.

Returns
  `true` if the arrays are equals, `false` otherwise.

This operator checks if the given arrays are equal. To be considered equal both arrays need to have the same number of elements, and each element in one array must be equal to the element at the same position in the other array.

References efl::eina::ptr_array< T, CloneAllocator >::begin(), efl::eina::ptr_array< T, CloneAllocator >::end(), and efl::eina::ptr_array< T, CloneAllocator >::size().

template<typename T , typename CloneAllocator1 , typename CloneAllocator2 >

bool efl::eina::operator!= | ( | ptr_array< T, CloneAllocator1 > const & | lhs,
|  | ptr_array< T, CloneAllocator2 > const & | rhs
| ) |  |

Check if two arrays are different.

Parameters

  lhs | `ptr_array` at the left side of the expression.
  rhs | `ptr_array` at the right side of the expression.

Returns
  `true` if the arrays are not equal , `false` otherwise.

This operator returns the opposite of operator==(ptr_array<T, CloneAllocator1> const& lhs, ptr_array<T, CloneAllocator2> const& rhs).

template<typename T , typename CloneAllocator >

void efl::eina::swap | ( | ptr_array< T, CloneAllocator > & | lhs,
|  | ptr_array< T, CloneAllocator > & | rhs
| ) |  |

Swap content between two arrays.

Parameters

  other | Other `ptr_array` of the same type.

References efl::eina::ptr_array< T, CloneAllocator >::swap().

Referenced by efl::eina::ptr_array< Eo, std::conditional< std::is_same< CloneAllocator, default_clone_allocator_placeholder >::value, eo_clone_allocator, CloneAllocator >::type >::swap().